{% extends "base.html" %}

{% block app_content %}
<section class="user-profile section">
	<div class="container">
		<div class="row">
			<div class="col-md-10 offset-md-1 col-lg-3 offset-lg-0">
				<div class="sidebar">
					<!-- User Widget -->
					<div class="widget user">
						<!-- User Image -->
						<div class="image d-flex justify-content-center">
							<img src="{{url_for('static', filename=('user/Avater/'+current_user.Avater))}}" alt="" class="">
						</div>
						<!-- User Name -->
						<h5 class="text-center">{{user.name}}</h5>
					</div>
					<!-- Dashboard Links -->
					<div class="widget dashboard-links">
						<ul>
							<li><a class="my-1 d-inline-block" href="{{url_for('myinfo', info_action='checkdetail')}}">我的信息</a></li>
							{% if current_user.Identification == 'Student' %}
							<li><a class="my-1 d-inline-block" href="{{url_for('oj_mysubmit')}}">我的提交</a></li>
							{% elif current_user.Identification == 'Teacher' %}
							<li><a class="my-1 d-inline-block" href="{{url_for('notice_allnotices')}}">我的通知</a></li>
							{% endif %}
							<li><a class="my-1 d-inline-block" href="{{url_for('bbs_mypost')}}">我的讨论</a></li>
							<li><a class="my-1 d-inline-block" href="{{url_for('myinfo', info_action='editinfo')}}">修改信息</a></li>
						</ul>
					</div>
				</div>
			</div>
            {% block myinfo_content %}
            {% endblock %}
		</div>
	</div>
</section>
{% endblock %}